<?xml version="1.0" encoding="ISO-8859-1"?>

<PropertyList>

  <default>
    <menu n="10">
      <label>Aermacchi MB-339</label>
      <enabled type="bool">true</enabled>
      <item>
        <label>Autostart</label>
        <binding>
          <command>property-toggle</command>
          <property>controls/electric/battery-switch</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/electric/engine/generator</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/lighting/instrument-lights</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/lighting/nav-lights</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/lighting/beacon</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/lighting/strobe</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/switches/starterkey-insert</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/engines/engine[0]/fuel-pump</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>controls/engines/engine[1]/fuel-pump</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>/consumables/fuel/tank[0]/selected</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>/consumables/fuel/tank[1]/selected</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>/consumables/fuel/tank[2]/selected</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>/consumables/fuel/tank[3]/selected</property>
        </binding>
        <binding>
          <command>property-toggle</command>
          <property>/consumables/fuel/tank[4]/selected</property>
        </binding>
        <!-- Magnetos ON -->
        <binding>
          <condition>
            <property>controls/switches/starterkey-insert</property>
          </condition>
          <command>property-assign</command>
          <property>controls/engines/engine[0]/magnetos</property>
          <value>3</value>
        </binding>
        <!-- Magnetos OFF -->
        <binding>
          <condition>
            <not><property>controls/switches/starterkey-insert</property></not>
          </condition>
          <command>property-assign</command>
          <property>controls/engines/engine[0]/magnetos</property>
          <value>0</value>
        </binding>
        <binding>
          <command>nasal</command>
          <script>engines.autostart();</script>
        </binding>
      </item>
      <item>
        <label>Select Livery</label>
        <binding>
          <command>nasal</command>
          <script>aircraft.livery.dialog.toggle()</script>
        </binding>
      </item>
      <item>
        <label>Show/hide HUD</label>
        <binding>
          <command>property-toggle</command>
          <!-- <property>sim/model/show-HUD</property> -->
          <property>sim/multiplay/generic/bool[5]</property>
        </binding>
      </item>
      <item>
        <label>Show/hide Copilot</label>
        <binding>
          <command>property-toggle</command>
          <!-- <property>sim/model/show-copilot</property> -->
          <property>sim/multiplay/generic/bool[0]</property>
        </binding>
      </item>
      <item>
        <label>External Loads</label>
        <binding>
          <command>nasal</command>
          <script>mb339.load_dialog1.toggle()</script>
        </binding>
      </item>
      <!-- for 2020.3.19
      <item>
        <label>External Lights</label>
        <binding>
          <command>nasal</command>
          <script>mb339.lights_dialog2.toggle()</script>
        </binding>
      </item>
      -->
    </menu>
  </default>

</PropertyList>
